# Uses of Class
org.jfree.chart3d.axis.TickData

Packages that use TickData
Package
Description
org.jfree.chart3d.axis
Axes (`CategoryAxis3D`, `NumberAxis3D` and `LogAxis3D`) plus supporting classes and interfaces.

## Uses of TickData in org.jfree.chart3d.axis

Methods in org.jfree.chart3d.axis that return types with arguments of type TickData
Modifier and Type
Method
Description
`List<TickData>`
LogAxis3D.`generateTickData(double tickUnit)`
Generates tick data for the axis, assuming the specified tick unit (a log increment in this case).
`List<TickData>`
NumberAxis3D.`generateTickData(double tickUnit)`
Generates a list of tick data items for the specified tick unit.
`List<TickData>`
ValueAxis3D.`generateTickData(double tickUnit)`
Generates a list of tick data items for the specified tick unit.
`List<TickData>`
CategoryAxis3D.`generateTickDataForColumns(CategoryDataset3D dataset)`
Generates the tick data for the axis (assumes the axis is being used as the row axis).
`List<TickData>`
StandardCategoryAxis3D.`generateTickDataForColumns(CategoryDataset3D dataset)`
Generates the tick data for the axis (assumes the axis is being used as the row axis).
`List<TickData>`
CategoryAxis3D.`generateTickDataForRows(CategoryDataset3D dataset)`
Generates the tick data for the axis (assumes the axis is being used as the row axis).
`List<TickData>`
StandardCategoryAxis3D.`generateTickDataForRows(CategoryDataset3D dataset)`
Generates the tick data for the axis (assumes the axis is being used as the row axis).
Method parameters in org.jfree.chart3d.axis with type arguments of type TickData
Modifier and Type
Method
Description
`abstract void`
AbstractAxis3D.`draw(Graphics2D g2, Point2D startPt, Point2D endPt, Point2D opposingPt, List<TickData> tickData, RenderingInfo info, boolean hinting)`
Draws the axis along an arbitrary line (between `startPt` and `endPt`).
`void`
Axis3D.`draw(Graphics2D g2, Point2D startPt, Point2D endPt, Point2D opposingPt, List<TickData> tickData, RenderingInfo info, boolean hinting)`
Draws the axis along an arbitrary line (between `startPt` and `endPt`).
`void`
LogAxis3D.`draw(Graphics2D g2, Point2D startPt, Point2D endPt, Point2D opposingPt, List<TickData> tickData, RenderingInfo info, boolean hinting)`
Draws the axis.
`void`
NumberAxis3D.`draw(Graphics2D g2, Point2D pt0, Point2D pt1, Point2D opposingPt, List<TickData> tickData, RenderingInfo info, boolean hinting)`
Draws the axis to the supplied graphics target (`g2`, with the specified starting and ending points for the line.
`void`
StandardCategoryAxis3D.`draw(Graphics2D g2, Point2D pt0, Point2D pt1, Point2D opposingPt, List<TickData> tickData, RenderingInfo info, boolean hinting)`
Draws the axis between the two points `pt0` and `pt1` in Java2D space.
Constructors in org.jfree.chart3d.axis with parameters of type TickData
Modifier
Constructor
Description
``
`TickData(TickData source, int vertexIndex)`
Creates a new instance by copying an existing instance but altering the vertex index.